#include "textparse.h"

void parse_commands(std::ifstream &cfile, options &o)
{
	std::string line;
	int32_t linecount = 0;
	while(std::getline(cfile,line))
	{
		++linecount;
		std::istringstream linestream(line);
		std::string command;
		linestream >> command;
		if (command == "md3file")
		{
			if(o.md3path.empty())
				linestream >> o.md3path;
			else std::cout << "Can only import 1 model" << std::endl;
		}
		else if (command == "skinfile")
		{
			if(o.skinpath.empty())
				linestream >> o.skinpath;
			else
				std::cout << "Can only apply 1 skin" << std::endl;
		}
		else if (command == "mdlfile")
		{
			if(o.mdlpath.empty())
				linestream >> o.mdlpath;
			else
				std::cout << "Ignoring multiple export filenames" << std::endl;
		}
		else if (command == "clampuvs")
		{
			o.clampuvs = true;
		}
		else if(!command.empty()) //we'll ignore entirely empty lines
			std::cout << "Bad token \"" << command << "\" on line " << linecount << std::endl;
	}
}
